package cologne.eck.all_peas.gui;


import java.awt.Font;

import javax.accessibility.AccessibleContext;
import javax.swing.BoxLayout;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JPopupMenu;
import javax.swing.border.Border;

import cologne.eck.all_peas.data.PeaProperties;


@SuppressWarnings("serial")
public class PeaMenuBar extends JMenuBar {
	
	private Border compoundBorder = PeaBorderFactory.createBorder(true);//BorderFactory.createCompoundBorder(
	//BorderFactory.createMatteBorder(1,1,1,1, new Color(160, 178, 162)),
	//BorderFactory.createMatteBorder(2,2,2,2, new Color(240, 240, 240))
	//BorderFactory.createMatteBorder(4,4,4,4, new Color(242, 255, 243)) 
	//		);
	
	private Border currentBorder = compoundBorder;
	
	public PeaMenuBar(){
		
		this.setLayout(new BoxLayout(this, BoxLayout.LINE_AXIS));

		this.setBorder(currentBorder);
		this.setBorderPainted(true);
		Font font = new Font(Font.SANS_SERIF, Font.PLAIN, PeaProperties.getFontSize());
		this.setFont(font);
	//	this.setBackground(new Color(221, 249, 222));
		//this.set
		
		
		
		//this.setMargin(new Insets(25,5,5,5));

	//	this.setOpaque(true);
		this.setBackground(PeaProperties.getPlainPeaColor());
		//this.setPreferredSize(new Dimension((int)PswDialogView.getScreenwidth(), 40));
	}
	
	@Override
	public JMenu add(JMenu c) {
		Font font = new Font(Font.SANS_SERIF, Font.PLAIN, PeaProperties.getFontSize());
		c.setFont(font);
		c.setOpaque(true);		
		//c.setRolloverEnabled(true);
		JPopupMenu popup = c.getPopupMenu();
		c.setBackground(PeaProperties.getPlainPeaColor());
		//popup.setOpaque(true);
		//popup.setBackground(PswDialogView.getPeaColor());


		popup.setBorder(currentBorder);

//		c.setForeground(new Color(242, 255, 243));
	//	c.setFont(new Font(Font.SANS_SERIF, Font.PLAIN, 18));
		return super.add(c);
		
	}
	
/*	@Override
	protected void paintComponent( Graphics g ) 
	{
	    if ( !isOpaque( ) )
	    {
	        super.paintComponent( g );
	        return;
	    }
	 
	   // ... paint custom background here ...
	 
	    setOpaque( false );
	    super.paintComponent( g );
	    setOpaque( true );
	}*/
	
	public void setNewBorderX( Border newBorder) {
		currentBorder = newBorder;
	}
	
    public AccessibleContext getAccessibleContext() {
        if (accessibleContext == null) {
            accessibleContext = new AccessiblePeaMenuBar();
        }
        return accessibleContext;
    }

    protected class AccessiblePeaMenuBar extends AccessibleJMenuBar {
        //Inherit everything, override nothing.
    }
}
